ZABBIX_GET(1)

NAME
zabbix_get - Zabbix get utility

SYNOPSIS
zabbix_get -s host-name-or-IP [-p port-number] [-I IP-address] -k item-key
zabbix_get -s host-name-or-IP [-p port-number] [-I IP-address] --tls-connect cert --tls-ca-file CA-file [--tls-crl-file CRL-file] [--tls-agent-cert-issuer cert-issuer] [--tls-agent-cert-subject cert-subject] --tls-cert-file cert-file --tls-key-file key-file [--tls-cipher13 cipher-string] [--tls-cipher cipher-string] -k item-key
zabbix_get -s host-name-or-IP [-p port-number] [-I IP-address] --tls-connect psk --tls-psk-identity PSK-identity --tls-psk-file PSK-file [--tls-cipher13 cipher-string] [--tls-cipher cipher-string] -k item-key
zabbix_get -h
zabbix_get -V

DESCRIPTION
zabbix_get is a command line utility for getting data from Zabbix agent.

OPTIONS

-s, --host host-name-or-IP
    Specify host name or IP address of a host.

-p, --port port-number
    Specify port number of agent running on the host. Default is 10050.

-I, --source-address IP-address
    Specify source IP address.

-k, --key item-key
    Specify key of item to retrieve value for.

--tls-connect value
    How to connect to agent. Values:

  unencrypted
connect without encryption (default)

    psk connect using TLS and a pre-shared key

    cert
        connect using TLS and a certificate

--tls-ca-file CA-file
    Full pathname of a file containing the top-level CA(s) certificates for peer certificate verification.

--tls-crl-file CRL-file
    Full pathname of a file containing revoked certificates.

--tls-agent-cert-issuer cert-issuer
    Allowed agent certificate issuer.

--tls-agent-cert-subject cert-subject
    Allowed agent certificate subject.

--tls-cert-file cert-file
    Full pathname of a file containing the certificate or certificate chain.

--tls-key-file key-file
    Full pathname of a file containing the private key.

--tls-psk-identity PSK-identity
    PSK-identity string.

--tls-psk-file PSK-file
    Full pathname of a file containing the pre-shared key.

--tls-cipher13 cipher-string
    Cipher string for OpenSSL 1.1.1 or newer for TLS 1.3. Override the default ciphersuite selection criteria. This option is not available if OpenSSL version is less than 1.1.1.

--tls-cipher cipher-string
    GnuTLS priority string (for TLS 1.2 and up) or OpenSSL cipher string (only for TLS 1.2). Override the default ciphersuite selection criteria.

-h, --help
    Display this help and exit.

-V, --version
    Output version information and exit.

EXAMPLES
zabbix_get -s 127.0.0.1 -p 10050 -k "system.cpu.load[all,avg1]"
zabbix_get -s 127.0.0.1 -p 10050 -k "system.cpu.load[all,avg1]" --tls-connect cert --tls-ca-file /home/zabbix/zabbix_ca_file --tls-agent-cert-issuer "CN=Signing CA,OU=IT operations,O=Example Corp,DC=example,DC=com" --tls-agent-cert-subject "CN=server1,OU=IT operations,O=Example Corp,DC=example,DC=com" --tls-cert-file /home/zabbix/zabbix_get.crt --tls-key-file /home/zabbix/zabbix_get.key
zabbix_get -s 127.0.0.1 -p 10050 -k "system.cpu.load[all,avg1]" --tls-connect psk --tls-psk-identity "PSK ID Zabbix agentd" --tls-psk-file /home/zabbix/zabbix_agentd.psk

SEE ALSO
Documentation (https://www.zabbix.com/manuals)

zabbix_agentd(8), zabbix_proxy(8), zabbix_sender(8), zabbix_server(8)

AUTHOR
Alexei Vladishev <alex@zabbix.com>